SVGICONS2SVGFONT(1)

NAME
svgicons2svgfont - Convert a set of SVG files into an SVG font

SYNOPSIS
svgicons2svgfont [options] <icons ...>

OPTIONS

-V, --version
    output the version number

-v, --verbose
    tell me everything!

-o, --output [/dev/stdout]
    file to write output to

-f, --fontname [value]
    the font family name you want [iconfont]

-i, --fontId [value]
    the font id you want [fontname]

--style [value]
    the font style you want

--weight [value]
    the font weight you want

-w, --fixedWidth
    creates a monospace font of the width of the largest input icon

-c, --centerhorizontally
    calculate the bounds of a glyph and center it horizontally

-y, --centerVertically
    centers the glyphs vertically in the generated font.

-n, --normalize
    normalize icons by scaling them to the height of the highest icon

-p, --preserveAspectRatio
    used with normalize to scale down glyph if the SVG width is greater than the height

--height [value]
    the output font height [MAX(icons.height)] (icons will be scaled so the highest has this height)

-r, --round [value]
    setup the SVG path rounding [10e12]

-d, --descent [value]
    the font descent [0]

--ascent [value]
    the font ascent [height - descent]

-s, --startunicode [value]
    the start unicode codepoint for unprefixed files [0xEA01]

--prependUnicode
    prefix files with their automatically allocated unicode code point

-m, --metadata
    content of the metadata tag

-h, --help
    display help for command